Dashboard
Customer health
Repeat rate, retention, cohorts, churn risk and per-slot behaviour.
Authorization
HTTPBearer AuthorizationBearer <token>
JWT access token
In: header
Query Parameters
days?integer
Look-back window in days.
Range
7 <= value <= 180Default
30merchant_id?|
Optional merchant to act on. Must be one you are a member of.
Format
uuidHeader Parameters
X-Merchant-ID?string|null
Response Body
application/json
application/json
curl -X GET "https://example.com/api/v1/customers/metrics"{ "data": { "active_customers": 0, "avg_customer_value": 0, "avg_orders_per_customer": 0, "by_daypart": [ { "aov": 0, "avg_service_minutes": 0, "change_pct": 0, "daypart": "string", "label": "string", "negative_review_share_pct": 0, "orders": 0, "repeat_customers": 0, "repeat_customers_change_pct": 0, "revenue": 0, "revenue_share_pct": 0, "service_minutes_change_pct": 0, "unique_customers": 0 } ], "churn_risk_customers": 0, "cohorts": [ { "aov": 0, "change_pct": 0, "customers": 0, "key": "string", "label": "string", "orders": 0, "revenue": 0, "share_pct": 0 } ], "new_customers": 0, "repeat_customers": 0, "repeat_rate": 0, "retention_curve": [ { "cohort_month": "string", "cohort_size": 0, "month_index": 0, "retained": 0, "retention_pct": 0 } ], "retention_rate": 0, "total_customers": 0 }, "meta": {}, "success": true}